# Uses of Class
org.eclipse.rap.json.JsonObject

Packages that use JsonObject
Package
Description
org.eclipse.rap.json
org.eclipse.rap.rwt.remote
org.eclipse.rap.rwt.template

## Uses of JsonObject in org.eclipse.rap.json

Methods in org.eclipse.rap.json that return JsonObject
Modifier and Type
Method
Description
`JsonObject`
JsonObject.`add(String name, boolean value)`
Adds a new member at the end of this object, with the specified name and the JSON representation of the specified `boolean` value.
`JsonObject`
JsonObject.`add(String name, double value)`
Adds a new member at the end of this object, with the specified name and the JSON representation of the specified `double` value.
`JsonObject`
JsonObject.`add(String name, float value)`
Adds a new member at the end of this object, with the specified name and the JSON representation of the specified `float` value.
`JsonObject`
JsonObject.`add(String name, int value)`
Adds a new member at the end of this object, with the specified name and the JSON representation of the specified `int` value.
`JsonObject`
JsonObject.`add(String name, long value)`
Adds a new member at the end of this object, with the specified name and the JSON representation of the specified `long` value.
`JsonObject`
JsonObject.`add(String name, String value)`
Adds a new member at the end of this object, with the specified name and the JSON representation of the specified string.
`JsonObject`
JsonObject.`add(String name, JsonValue value)`
Adds a new member at the end of this object, with the specified name and the specified JSON value.
`JsonObject`
JsonObject.`asObject()`
`JsonObject`
JsonValue.`asObject()`
Returns this JSON value as `JsonObject`, assuming that this value represents a JSON object.
`static JsonObject`
JsonObject.`readFrom(Reader reader)`
Reads a JSON object from the given reader.
`static JsonObject`
JsonObject.`readFrom(String string)`
Reads a JSON object from the given string.
`JsonObject`
JsonObject.`remove(String name)`
Removes a member with the specified name from this object.
`JsonObject`
JsonObject.`set(String name, boolean value)`
Sets the value of the member with the specified name to the JSON representation of the specified `boolean` value.
`JsonObject`
JsonObject.`set(String name, double value)`
Sets the value of the member with the specified name to the JSON representation of the specified `double` value.
`JsonObject`
JsonObject.`set(String name, float value)`
Sets the value of the member with the specified name to the JSON representation of the specified `float` value.
`JsonObject`
JsonObject.`set(String name, int value)`
Sets the value of the member with the specified name to the JSON representation of the specified `int` value.
`JsonObject`
JsonObject.`set(String name, long value)`
Sets the value of the member with the specified name to the JSON representation of the specified `long` value.
`JsonObject`
JsonObject.`set(String name, String value)`
Sets the value of the member with the specified name to the JSON representation of the specified string.
`JsonObject`
JsonObject.`set(String name, JsonValue value)`
Sets the value of the member with the specified name to the specified JSON value.
`static JsonObject`
JsonObject.`unmodifiableObject(JsonObject object)`
Returns an unmodifiable JsonObject for the specified one.
Methods in org.eclipse.rap.json with parameters of type JsonObject
Modifier and Type
Method
Description
`static JsonObject`
JsonObject.`unmodifiableObject(JsonObject object)`
Returns an unmodifiable JsonObject for the specified one.
Constructors in org.eclipse.rap.json with parameters of type JsonObject
Modifier
Constructor
Description
``
`JsonObject(JsonObject object)`
Creates a new JsonObject, initialized with the contents of the specified JSON object.

## Uses of JsonObject in org.eclipse.rap.rwt.remote

Methods in org.eclipse.rap.rwt.remote with parameters of type JsonObject
Modifier and Type
Method
Description
`void`
RemoteObject.`call(String method, JsonObject parameters)`
Calls the method with the given name on the remote object.
`void`
AbstractOperationHandler.`handleCall(String method, JsonObject parameters)`
`void`
OperationHandler.`handleCall(String method, JsonObject parameters)`
Handles a call operation from the remote object.
`void`
AbstractOperationHandler.`handleNotify(String event, JsonObject properties)`
`void`
OperationHandler.`handleNotify(String event, JsonObject properties)`
Handles a notify operation from the remote object.
`void`
AbstractOperationHandler.`handleSet(JsonObject properties)`
`void`
OperationHandler.`handleSet(JsonObject properties)`
Handles a set operation from the remote object.

## Uses of JsonObject in org.eclipse.rap.rwt.template

Methods in org.eclipse.rap.rwt.template that return JsonObject
Modifier and Type
Method
Description
`protected JsonObject`
Cell.`toJson()`
Creates a JSON representation of this cell.
`protected JsonObject`
ImageCell.`toJson()`
`protected JsonObject`
TextCell.`toJson()`